WordPress『Gutenberg 古腾堡』编辑器兼容注意问题

WordPress 推出古腾堡编辑器(Gutenberg)有人欢喜有人愁。有些人喜欢用这种块状编辑,觉得很方便,但是用习惯了旧编辑的用户,就觉得这个编辑器很难用。凡事都有两面,而且,WordPress 强行推出古腾堡编辑器,那也说明了古腾堡编辑器一定程序上是比旧的经典编辑器好的,只是目前关于古腾堡编辑器的兼容性问题及相关技术文章比较少,遇到问题,无法找到有效的解决方案,让许多站长很不喜。特别是主题开发者和插件开发者,突然间换了一个编辑器,在主题和插件上的兼容,造成了许多不便。

艾码汇推出了小程序 API 插件,在使用古腾堡编辑器时也出现了兼容问题,特别是水煮鱼的邓总更新了 WPJAM BASIC 插件的兼容古腾堡编辑器,但是使用艾码汇小程序 API 插件时,发现古腾堡编辑器会出现两个错误,分别是发布时间和分类显示问题。

如上图就是发布时间错误问题。后来经过一番查找,才发现问题在于 WP REST API 的屏蔽或是修改上。由于艾码汇小程序 API 插件是基于 WordPress REST API 创建的,所以在定制数据输出的时候,都会做了一些更改,其中就有修改时间和分类目录,这就导致了无法兼容古腾堡编辑的原因。所以,对于古腾堡编辑器的兼容问题,如果无法确定是什么原因,最好是不要屏蔽 WordPress REST API 的数据输出,特别是有些主题喜欢屏蔽 REST 功能就要注意了。

目前古腾堡编辑器的兼容上,还是存在着未知问题,还没有完成做到完美兼容,以及相关的教程比较少,建议大家还是继续使用经典编辑器先吧。但是,更换古腾堡编辑器的趋势是无法避免的,所以,还是要尽量做兼容和习惯新的编辑器,也许有一天你就会喜欢上它。

相关推荐

1 条评论

  1. 爱折腾的Kit

    测试扣扣

发表评论

微信扫一扫

微信扫一扫

微信扫一扫,分享到朋友圈

WordPress『Gutenberg 古腾堡』编辑器兼容注意问题
返回顶部

显示

忘记密码?

显示

显示

获取验证码

Close